ov_tree_map_.hpp File Reference

Go to the source code of this file.

## Classes

class | __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >
class | __gnu_pbds::detail::ov_tree_map< Key, Mapped, Cmp_Fn, Node_And_It_Traits, _Alloc >::cond_dtor< Size_Type >

## Namespaces

| __gnu_pbds

## Macros

#define | PB_DS_CLASS_C_DEC
#define | PB_DS_CLASS_T_DEC
#define | PB_DS_CONST_NODE_ITERATOR_NAME
#define | PB_DS_OV_TREE_NAME
#define | PB_DS_OV_TREE_TRAITS_BASE

## Detailed Description

Contains an implementation class for ov_tree.

Definition in file ov_tree_map_.hpp.